USERMOD(8)

NOM
usermod - modifier un compte utilisateur

SYNOPSIS

usermod
    [-c commentaire] [-d rép_perso [ -m]]
    [-e date_expiration] [-f inactivité]
    [-g groupe_initial] [-G groupe[,...]]
    [-l nom_connexion] [-p mot_de_passe]
    [-s shell] [-u uid [ -o]] [-L|-U] login

DESCRIPTION
La commande usermod modifie les fichiers des comptes du système pour refléter les modifications qui ont été spécifiées sur la ligne de commandes. Les options qui s'appliquent à la commande usermod sont

-c commentaire
    La nouvelle valeur du fichier du champ de commentaire du fichier de mot de passe de l'utilisateur. Il est normalement modifié en utilisant l'utilitaire chfn(1).

-d rép_perso
    Le nouveau répertoire de connexion de l'utilisateur. Si l'option -m est fournie, le contenu du répertoire personnel actuel sera déplacé dans le nouveau répertoire personnel, qui sera créé si nécessaire.

-e date_expiration
    La date à laquelle le compte utilisateur sera désactivé. La date est spécifiée dans le format AAAA-MM-JJ.

-f jours_inactifs
    Le nombre de jours suivant l'expiration d'un mot de passe après lequel le compte est définitivement désactivé. Une valeur de 0 désactive le compte dès que le mot de passe a expiré, et une valeur de -1 désactive cette caractéristique. La valeur par défaut est de -1.

-g groupe_initial
    Le nom du groupe ou le numéro du groupe de connexion initial de l'utilisateur. Le nom du groupe doit exister. Un numéro de groupe doit se référer à un groupe préexistant. Le numéro de groupe par défaut est de 1.

-G groupe,[...]
    Une liste de groupes supplémentaires auxquels fait également partie l'utilisateur. Chaque groupe est séparé du suivant par une virgule, sans espace entre les deux. Les groupes sont soumis aux mêmes restrictions que celles données avec l'option -g. Si l'utilisateur fait actuellement partie d'un groupe qui n'est pas listé, l'utilisateur sera supprimé du groupe.

-l nom_connexion
    Le nom de l'utilisateur passera de login à login_name. Rien d'autre n'est modifié. En particulier, le répertoire personnel de l'utilisateur devra probablement être changé pour refléter le nouveau nom de connexion.

-L  Verrouiller le mot de passe d'un utilisateur. Cette option ajoute un `!' devant le mot de passe crypté, ce qui désactive le mot de passe. Vous ne pouvez pas utiliser cette option avec -p ou -U.

-p mot_de_passe
    Le mot de passe crypté, comme renvoyé par crypt(3).

-s shell
    Le nom du nouveau shell de connexion de l'utilisateur. Si shell n'est pas fourni, le système sélectionnera le shell de connexion par défaut.

-u uid
    La valeur numérique de l'ID de l'utilisateur. Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. La valeur doit être non négative. Les valeurs comprises entre 0 et 999 sont typiquement réservées aux comptes systèmes. Tous les fichiers possédés par l'utilisateur et qui sont situés dans le sous-arbre de répertoires "débutant" au répertoire personnel de l'utilisateur verront leur ID d'utilisateur automatiquement modifié. Les fichiers situés à l'extérieur du répertoire personnel de l'utilisateur doivent être modifiés à la main.

-U  Déverrouiller le mot de passe d'un utilisateur. Cela supprime le `!' situé devant le mot de passe crypté. Vous ne pouvez pas utiliser cette option avec -p ou -L.

INCONVÉNIENTS
usermod ne vous permet pas de modifier le nom d'un utilisateur qui est actuellement connecté. Vous devez être sûr que l'utilisateur nommé n'est pas en train d'exécuter un quelconque programme quand cette commande est exécutée si l'UID numérique de l'utilisateur est modifié. Vous devez modifier le nom du propriétaire de tous les fichiers crontab manuellement. Vous devez modifier le nom du propriétaire de n'importe quel travail at manuellement. Vous devez effectuer les modifications impliquant NIS sur le serveur NIS.

FICHIERS
/etc/passwd - information sur les comptes utilisateurs
/etc/shadow - information sécurisée sur les comptes utilisateurs
/etc/group - information de groupes

VOIR AUSSI
chfn(1), chsh(1), crypt(3), groupadd(8), groupdel(8), groupmod(8), passwd(1), useradd(8), userdel(8)

AUTEUR
Julianne Frances Haugh (jfh@bga.com)

TRADUCTION
Frédéric Delanoy, 2000.